com.orsoncharts.util

## Enum Scale2D

- java.lang.Object
- - java.lang.Enum<Scale2D>
  - - com.orsoncharts.util.Scale2D

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Scale2D>

      public enum Scale2D
      extends java.lang.Enum<Scale2D>

  Scaling options for fitting rectangles.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` No scaling.
    `SCALE_BOTH` Scale both horizontally and vertically.
    `SCALE_HORIZONTAL` Scale horizontally (but not vertically).
    `SCALE_VERTICAL` Scale vertically (but not horizontally).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scale2D` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Scale2D[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Scale2D NONE

      No scaling.

    - #### SCALE_HORIZONTAL

          public static final Scale2D SCALE_HORIZONTAL

      Scale horizontally (but not vertically).

    - #### SCALE_VERTICAL

          public static final Scale2D SCALE_VERTICAL

      Scale vertically (but not horizontally).

    - #### SCALE_BOTH

          public static final Scale2D SCALE_BOTH

      Scale both horizontally and vertically.

  - ### Method Detail

    - #### values

          public static Scale2D[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Scale2D c : Scale2D.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Scale2D valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null